//*****************************************************************
// 
//  Simple Data Matrix Encoder Example 1.0
//  
//  Copyright, IDAutomation.com, Inc. 2001. All rights reserved.
//  
//  http://www.IDAutomation.com/
//  
//  NOTICE:
//  You may incorporate our Source Code in your application
//  only if you own a valid Data Matrix Font License
//  from IDAutomation.com, Inc. and the copyright notices 
//  are not removed from the source code.
//  
//*****************************************************************

import java.io.*;
import IDautomationDME.*;

class DMatrixTest
{
    public static void main ( String [] args )
    {
	//Here is the data we will encode
        String dataToEncode = "Data Matrix Test";

	//NOTE: "DataMatrixEncoder" is the class of the encoder
	DataMatrixEncoder dme=new DataMatrixEncoder();

      	System.out.println("\n"+ "This is an example of the Data Matrix Java Font Encoder."+"\n");

	//This is an example of formatting data to the font...
	System.out.println( dme.fontEncode(dataToEncode) );

     	System.out.println("\n"+ "The above code will create a Data Matrix symbol when");
     	System.out.println("displayed or printed with the Data Matrix font."+"\n"+"\n");
    }

}
